cUrl
curl --location --request DELETE 'https://api.catalogix.ai/v1/assets' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '[\n {\n "store_uuid": "699ec31355208b213e56059a",\n "channel": "SMP",\n "parent_code": "SKU001",\n "asset_id": ["id1", "id2"]\n }\n]'import requests
import json
url = "https://api.catalogix.ai/v1/assets"
payload = json.dumps([
{
"store_uuid": "699ec31355208b213e56059a",
"channel": "SMP",
"parent_code": "SKU001",
"asset_id": ["id1", "id2"]
}
])
headers = {
'Authorization': 'Bearer YOUR_TOKEN',
'Content-Type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
store_uuid: '699ec31355208b213e56059a',
channel: 'SMP',
parent_code: 'SKU001',
asset_id: ['id1', 'id2']
}
])
};
fetch('https://api.catalogix.ai/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 0,
"message": "SUCCESS",
"request_id": "8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312"
},
"data": {
"deleted_count": 2,
"failed": 0,
"error_info": [
{}
]
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Unauthorized – invalid or missing Bearer token"
}
}{
"status": {
"code": -1,
"message": "Internal server error. Please contact support@catalogix.ai"
}
}{
"detail": "<string>",
"status": "error"
}Asset APIs
Delete Assets
Delete assets based on supported filters. Although the public API is DELETE, the service internally calls the downstream delete-by-filter API using POST.
DELETE
/
assets
cUrl
curl --location --request DELETE 'https://api.catalogix.ai/v1/assets' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '[\n {\n "store_uuid": "699ec31355208b213e56059a",\n "channel": "SMP",\n "parent_code": "SKU001",\n "asset_id": ["id1", "id2"]\n }\n]'import requests
import json
url = "https://api.catalogix.ai/v1/assets"
payload = json.dumps([
{
"store_uuid": "699ec31355208b213e56059a",
"channel": "SMP",
"parent_code": "SKU001",
"asset_id": ["id1", "id2"]
}
])
headers = {
'Authorization': 'Bearer YOUR_TOKEN',
'Content-Type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
store_uuid: '699ec31355208b213e56059a',
channel: 'SMP',
parent_code: 'SKU001',
asset_id: ['id1', 'id2']
}
])
};
fetch('https://api.catalogix.ai/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 0,
"message": "SUCCESS",
"request_id": "8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312"
},
"data": {
"deleted_count": 2,
"failed": 0,
"error_info": [
{}
]
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Unauthorized – invalid or missing Bearer token"
}
}{
"status": {
"code": -1,
"message": "Internal server error. Please contact support@catalogix.ai"
}
}{
"detail": "<string>",
"status": "error"
}Authorizations
Pass the API token as a Bearer token in the Authorization header.
Headers
Optional trace ID
Body
application/json
⌘I